Bug 135161 - finance/aqbanking update to 4.0.0
Summary: finance/aqbanking update to 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-01 18:40 UTC by me
Modified: 2009-06-21 21:30 UTC (History)
0 users

See Also:


Attachments
file.diff (13.96 KB, patch)
2009-06-01 18:40 UTC, me
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description me 2009-06-01 18:40:04 UTC
Update finance/aqbanking to 4.0.0. This update includes AqBanking-CLI, a command line tool for banking similar to AqBanking-Tool from aqbanking-2.X, which is missing from aqbanking-3.X.

With the patch, aqbanking-4.0.0 builds, installs, and a package can be created.

I do not use finance/gnucash, but I have tested that it compiles with the shared library bump included in the patch.

I still cannot do banking with AqBanking-CLI as I did with AqBanking-Tool, but since the configuration format changed, I do not know if it is due to a misconfiguration, the server of my bank not working, or a problem with the build.

Someone using gnucash has to test the functionality of aqbanking-4.0.0 anyhow. That can happen independently of me testing AqBanking-CLI.

Fix: aqbanking-cli is a new command line tool that comes with aqbanking-4.0.0.

Patch attached with submission follows:
How-To-Repeat: aqbanking-tool is missing after the aqbanking-2.3.3 to 3.8.1 update.
Comment 1 Dmitry Marakasov freebsd_committer 2009-06-19 17:08:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-06-21 21:23:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-06-21 21:23:59 UTC
amdmi3      2009-06-21 20:23:41 UTC

  FreeBSD ports repository

  Modified files:
    finance/aqbanking    Makefile distinfo pkg-plist 
    finance/aqbanking/files patch-configure 
  Log:
  - Update to 4.0.0
  - Chase devel/gwenhywfar shlib bump
  
  PR:             135161
  Submitted by:   Jan Henrik Sylvester <me@janh.de>
  
  Revision  Changes    Path
  1.16      +9 -9      ports/finance/aqbanking/Makefile
  1.5       +3 -3      ports/finance/aqbanking/distinfo
  1.2       +7 -7      ports/finance/aqbanking/files/patch-configure
  1.9       +91 -78    ports/finance/aqbanking/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"